## sslstrip 1.0+git20211125.9ac747b

=== requirements.txt ===
setuptools==59.2.0
Twisted==21.7.0
pyopenssl==21.0.0
cryptography==36.0.0
service_identity==21.1.0

## sslstrip 0.7

=== debian/changelog ===
sslstrip (0.7-1) unstable; urgency=low

  * Initial release (Closes: #585916)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 27 Feb 2011 00:51:12 +0800

=== debian/control ===
Source: sslstrip
Section: net
Priority: optional
Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.5-1~)
Standards-Version: 3.9.1
Homepage: http://www.thoughtcrime.org/software/sslstrip/
Vcs-Git: git://git.debian.org/collab-maint/sslstrip.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sslstrip.git;a=summary
X-Python-Version: >= 2.5

Package: sslstrip
Architecture: all
Depends: python-twisted-web,
         ${python:Depends},
         ${misc:Depends}
Description: SSL/TLS man-in-the-middle attack tool
 sslstrip is a tool that transparently hijacks HTTP traffic on a network, watch
 for HTTPS links and redirects, and then map those links into look-alike HTTP
 links or homograph-similar HTTPS links. It also supports modes for supplying a
 favicon which looks like a lock icon, selective logging, and session
 denial.

## sslstrip 0.9

=== debian/changelog ===
sslstrip (0.9-1) unstable; urgency=low

  * [fb5a2f9] New upstream release:
    + Changes in 0.9:
      - Bug fixes introduced in 0.8 that were preventing GMail and other logins
      - Speed enhancements
      - Support for stripping compressed content-encodings if they slip past us
    + Changes in 0.8:
      - Major speed enhancements
      - Compatibility changes for recent versions of twisted
      - Support for stripping URLs with explicit port specifications
        (i.e.: foo.com:443)
      - A number of small bug fixes
  * [0dbefb4] Refresh sslstrip-scriptname.patch
  * [d8c7f43] No change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 04 Aug 2011 10:35:01 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.5-1~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.thoughtcrime.org/software/sslstrip/
 Vcs-Git: git://git.debian.org/collab-maint/sslstrip.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sslstrip.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install -- \
		--install-lib=/usr/share/sslstrip \
		--install-scripts=/usr/share/sslstrip
	rm -rf \
		debian/sslstrip/usr/share/sslstrip/README \
		debian/sslstrip/usr/share/sslstrip/COPYING

%:
	dh --with=python2 $@

=== debian/watch ===
version=3

http://www.thoughtcrime.org/software/sslstrip/sslstrip-([0-9.]+)\.tar\.gz

## sslstrip 0.9-0maemo1

=== debian/changelog ===
sslstrip (0.9-0maemo1) unstable; urgency=low

  * Initial release. (Give it a TRY !!!).

    - Bug fixes introduced in 0.8 that were preventing GMail and other logins.
    - Speed enhancements.
    - Support for stripping compressed content-encodings if they slip past us.

 -- COLIN Stephane <colin.stephane@ovi.com>  Tue, 19 Jul 2011 20:40:37 +0200

=== debian/control ===
Source: sslstrip
Section: net
Priority: optional
Maintainer: Thomas-Karl Pietrowski
Build-Depends: debhelper (>= 7), python-all (>= 2.5), python-support
Standards-Version: 3.8.4
Homepage: http://www.thoughtcrime.org/software/sslstrip/
X-Python-Version: >= 2.5

Package: sslstrip
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-twisted-web
Description: SSL/TLS man-in-the-middle attack tool
 sslstrip is a tool that transparently hijacks HTTP traffic on a network, watch
 for HTTPS links and redirects, and then map those links into look-alike HTTP
 links or homograph-similar HTTPS links. It also supports modes for supplying a
 favicon which looks like a lock icon, selective logging, and session
 denial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	python2.5 setup.py build --force
	#docbook-to-man debian/sslstrip.sgml > sslstrip.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	python2.5 setup.py clean -a

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sslstrip.
	python2.5 setup.py install --force --root=$(CURDIR)/debian/sslstrip --no-compile -O0 --install-lib=/opt/usr/share/sslstrip --install-scripts=/opt/usr/share/sslstrip --install-layout=deb
	chmod a+rx $(CURDIR)/debian/sslstrip/opt/usr/share/sslstrip/sslstrip.py
	ln $(CURDIR)/debian/sslstrip/opt/usr/share/sslstrip/sslstrip.py $(CURDIR)/debian/sslstrip/usr/bin/sslstrip -s
	#mv $(CURDIR)/debian/sslstrip/opt/usr/bin/sslstrip.py $(CURDIR)/debian/sslstrip/usr/bin/sslstrip -f
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_pysupport
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sslstrip 1.0+git20211125.9ac747b

=== debian/changelog ===
sslstrip (1.0+git20211125.9ac747b-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:25:10 +0200

sslstrip (1.0+git20211125.9ac747b-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs fields

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 12 Dec 2022 15:46:42 +0700

sslstrip (1.0+git20211125.9ac747b-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Switch to a new upstream repo
  * New upstream version 1.0+git20211125.9ac747b
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Dec 2021 11:18:58 +0100

sslstrip (0.9-1kali3) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 14:05:00 -0500

sslstrip (0.9-1kali2) kali; urgency=low

  * Updated desktop item to new structure

 -- Mati Aharoni <muts@kali.org>  Sat, 01 Dec 2012 06:22:24 -0500

sslstrip (0.9-1kali1) kali; urgency=low

  * Kali version with desktop file

 -- dookie <dookie@kali.org>  Mon, 26 Nov 2012 17:31:41 -0700

=== debian/control ===
Source: sslstrip
Section: net
Priority: optional
XSBC-Original-Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
	       python3-all,
	       python3-setuptools
Standards-Version: 4.6.1
Homepage: https://github.com/L1ghtn1ng/sslstrip

Package: sslstrip
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
	 python3-twisted
Description: SSL/TLS man-in-the-middle attack tool
 sslstrip is a tool that transparently hijacks HTTP traffic on a network, watch
 for HTTPS links and redirects, and then map those links into look-alike HTTP
 links or homograph-similar HTTPS links. It also supports modes for supplying a
 favicon which looks like a lock icon, selective logging, and session
 denial.

=== debian/watch ===
version=4
opts="mode=git, pretty=1.0+git%cd.%h, pgpmode=none" \
    https://github.com/L1ghtn1ng/sslstrip.git \
    HEAD debian uupdate

## sslstrip 1.0+git20220212.aa2555b

=== requirements.txt ===
setuptools==59.2.0
Twisted==22.1.0
pyopenssl==21.0.0
cryptography==36.0.0
service_identity==21.1.0

=== debian/changelog ===
sslstrip (1.0+git20220212.aa2555b-0kali1~jan+nur1) kali-experimental; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sat, 19 Feb 2022 01:32:01 -0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: net
 Priority: optional
 XSBC-Original-Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
 	       python3-all,
 	       python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/L1ghtn1ng/sslstrip
+Vcs-Git: https://gitlab.com/kalilinux/packages/sslstrip.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/sslstrip
 
 Package: sslstrip
 Architecture: all
